ANNIE - Support #18589

Configure /cvmfs/annie.opensciencegrid.org
12/18/2017 09:41 AM - Arthur Kreymer

Status: Work in progress Start date: 12/18/2017
Priority: Normal Due date: 01/01/2018
Assignee: Arthur Kreymer % Done: 30%
Category: Estimated time: 8.00 hours
Target version: Spent time: 3.00 hours
Description

Set up support for annie in CVMFS under cvmfsannie@oasiscfs

History

#1 - 12/18/2017 09:48 AM - Arthur Kreymer

| added logging of access to cvmfsannie@oasiscfs in log/login.log, cloned from minos.
This includes an shrc alias in case a user wants their own aliases under shrc/<user>

| will add etiras, mmalek, moslaher to the .k5login once we get access to that file.

| am prototyping an rsync2CVMFS script to rsync from /annie/app/scripts to CVMFS.
Needs some work.

Propogation of CVMFS to /cvmfs on OSG is work in progress, see RITM0632835
#2 - 12/19/2017 09:48 AM - Arthur Kreymer

2017-12-18 16:21:21 CST - Hyun Kim (Additional comments)

The new repo is ready.

Before you start using it, please read the following 2 URLSs'
very carefully to use your cvmfs repo in a very discreet fashion.

http://cernvm.cern.ch/portal/filesystem/maintain-repositories
http://cernvm.cern.ch/portal/filesystem/repository-limits

#3 - 12/19/2017 09:51 AM - Arthur Kreymer

| have made a small update and verified this on the fnpctesti OSG node.

REPO=annie.opensciencegrid.org
CFS=/cvmfs/annie.opensciencegrid.org

cvmfs_server transaction ${REPO}
cp ${CFS}/test ${CFS}/README

cvmfs_server publish ${REPO}

Using auto tag 'generic-2017-12-19T15:22:52Z7Z"'
Processing changes...

Setting repository TTL to 240s

Waiting for upload of files before committing...
Committing file catalogs...

Serialized committing of file catalogs...
Exporting repository manifest

Tagging annie.opensciencegrid.org

Flushing file system buffers

Signing new manifest

Remounting newly created repository revision

-rw-rw-r—— 1 cvmfsannie cvmfsannie 21 Dec 19 09:22 README

Verification, kreymer@fnpctesti.fnal.gov
It took about 8 minutes for this small change to be visible on clients.

CFS=/cvmfs/annie.opensciencegrid.org
while [ ! —-r "${CFS}/README" ] ; do sleep 60 ;

Tue Dec 19
total 2

—rW-rw-r—-—
-rw-r——r—-—

—IW—Xrw—Ir——

15:30:01 UTC 2017

1 cvmfs cvmfs 21 Dec 19 15:22 README

done

’

date

1 cvmfs cvmfs 55 Dec 13 21:07 new_repository

1 cvmfs cvmfs 21 Dec 13 21:23 test

CFS=/cvmfs/annie.opensciencegrid.org

while [ ! -r "${CFS}/README" ] ; do sleep 60 ;

Tue Dec 19
total 2

—rW-rw-r—-—
-rw-r——r—-—

—IW—Xrw—Ir——

15:30:01 UTC 2017

1 cvmfs cvmfs 21 Dec 19 15:22 README

done

’

date

1 cvmfs cvmfs 55 Dec 13 21:07 new_repository

1 cvmfs cvmfs 21 Dec 13 21:23 test

#4 - 02/02/2018 02:15 AM - Arthur Kreymer
- % Done changed from 10 to 30

| have expanded the .k5login to have other people,
now that we can do this.

etiras@FNAL.GOV
mmalek@FNAL.GOV

moflaher@FNAL.GOV

msanchez@FNAL.GOV

wetstein@FNAL.GOV

#5 - 03/10/2018 07:55 AM - Arthur Kreymer

| have added Steven Gardiner and Ben Richards
to the .k5login for cvmfsannie@oasiscfs.fnal.gov

date ; cat .k5login

Sat Mar 10

07:47:31 CST 2018

brichard@FNAL.GOV
etiras@FNAL.GOV
gardiner@FNAL.GOV
kreymer@FNAL.GOV
mmalek@FNAL.GOV
moflaher@FNAL.GOV
msanchez@FNAL.GOV
wetstein@FNAL.GOV

| have added them to the Watch list of this Issue
